Generates a batch of images from a text caption on a given DALLE model deployment
curl --request POST \
--url https://api.hicap.ai/v1/deployments/{deploymentId}/images/generations \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"prompt": "a corgi in a field",
"n": 1,
"size": "1024x1024",
"response_format": "url",
"user": "user123456",
"quality": "standard",
"style": "vivid"
}
'import requests
url = "https://api.hicap.ai/v1/deployments/{deploymentId}/images/generations"
payload = {
"prompt": "a corgi in a field",
"n": 1,
"size": "1024x1024",
"response_format": "url",
"user": "user123456",
"quality": "standard",
"style": "vivid"
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'a corgi in a field',
n: 1,
size: '1024x1024',
response_format: 'url',
user: 'user123456',
quality: 'standard',
style: 'vivid'
})
};
fetch('https://api.hicap.ai/v1/deployments/{deploymentId}/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": "1676540381",
"data": [
{
"url": "https://www.contoso.com",
"b64_json": "<string>",
"content_filter_results": {
"sexual": {
"filtered": true
},
"violence": {
"filtered": true
},
"hate": {
"filtered": true
},
"self_harm": {
"filtered": true
}
},
"revised_prompt": "<string>",
"prompt_filter_results": {
"sexual": {
"filtered": true
},
"violence": {
"filtered": true
},
"hate": {
"filtered": true
},
"self_harm": {
"filtered": true
},
"profanity": {
"filtered": true,
"detected": true
},
"jailbreak": {
"filtered": true,
"detected": true
},
"custom_blocklists": {
"filtered": true,
"details": [
{
"filtered": true,
"id": "<string>"
}
]
}
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>",
"inner_error": {
"code": "ResponsibleAIPolicyViolation",
"content_filter_results": {
"sexual": {
"filtered": true
},
"violence": {
"filtered": true
},
"hate": {
"filtered": true
},
"self_harm": {
"filtered": true
},
"profanity": {
"filtered": true,
"detected": true
},
"jailbreak": {
"filtered": true,
"detected": true
},
"custom_blocklists": {
"filtered": true,
"details": [
{
"filtered": true,
"id": "<string>"
}
]
}
},
"revised_prompt": "<string>"
}
}
}Images
Generates a batch of images from a text caption on a given DALLE model deployment
POST
/
deployments
/
{deploymentId}
/
images
/
generations
Generates a batch of images from a text caption on a given DALLE model deployment
Authorizations
Your Hicap API key.
Path Parameters
Deployment id of the dalle model which was deployed.
Example:
"dalle-deployment"
Query Parameters
api version
Example:
"2025-01-01-preview"
Body
application/json
A text description of the desired image(s). The maximum length is 4000 characters.
Minimum string length:
1Example:
"a corgi in a field"
The number of images to generate.
Required range:
1 <= x <= 1The size of the generated images.
Available options:
256x256, 512x512, 1792x1024, 1024x1792, 1024x1024 The format in which the generated images are returned.
Available options:
url, b64_json A unique identifier representing your end-user, which can help to monitor and detect abuse.
Example:
"user123456"
The quality of the image that will be generated.
Available options:
standard, hd The style of the generated images.
Available options:
vivid, natural Was this page helpful?
⌘I